services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  JeuckSoftware\PowermailReferrer\:
    resource: '../Classes'
    exclude:
      - '../Classes/Domain/Model/*'
      - '../Classes/Utility/*'

  JeuckSoftware\PowermailReferrer\EventListener\CreateActionAfterMailDbSaved:
    tags:
      - name: event.listener
        event: In2code\Powermail\Event\AfterMailDbSavedEvent

  JeuckSoftware\PowermailReferrer\EventListener\SendTemplateEmailBeforeSend:
    tags:
      - name: event.listener
        event: In2code\Powermail\Event\BeforeMailSendEvent